<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: BleedingSourcesManagerBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d6e/a04546.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">BleedingSourcesManagerBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a43b7dedd1fed5e65bf97bbbd31653158"><td class="memItemLeft" align="right" valign="top">override protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d6e/a04546.html#a43b7dedd1fed5e65bf97bbbd31653158">CanAddBleedingSource</a> (int bit)</td></tr>
<tr class="separator:a43b7dedd1fed5e65bf97bbbd31653158"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7549f911d8ec14f0cc4d015d73dcba64"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d6e/a04546.html#a7549f911d8ec14f0cc4d015d73dcba64">Expansion_GetBitFromSelectionID</a> (int id)</td></tr>
<tr class="separator:a7549f911d8ec14f0cc4d015d73dcba64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bf38e152e44abcc93347c4ae7d90adb"><td class="memItemLeft" align="right" valign="top">BleedingSourceZone&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d6e/a04546.html#a7bf38e152e44abcc93347c4ae7d90adb">Expansion_GetBleedingSourceMeta</a> (int id)</td></tr>
<tr class="separator:a7bf38e152e44abcc93347c4ae7d90adb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >BleedingSourcesManagerBase.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d88/a09127_source.html#l00013">13</a> of file <a class="el" href="../../d3/d88/a09127_source.html">bleedingsourcesmanagerbase.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a43b7dedd1fed5e65bf97bbbd31653158" name="a43b7dedd1fed5e65bf97bbbd31653158"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43b7dedd1fed5e65bf97bbbd31653158">&#9670;&#160;</a></span>CanAddBleedingSource()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected bool BleedingSourcesManagerBase::CanAddBleedingSource </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>bit</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d88/a09127_source.html#l00015">15</a> of file <a class="el" href="../../d3/d88/a09127_source.html">bleedingsourcesmanagerbase.c</a>.</p>

</div>
</div>
<a id="a7549f911d8ec14f0cc4d015d73dcba64" name="a7549f911d8ec14f0cc4d015d73dcba64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7549f911d8ec14f0cc4d015d73dcba64">&#9670;&#160;</a></span>Expansion_GetBitFromSelectionID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int BleedingSourcesManagerBase::Expansion_GetBitFromSelectionID </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d1c/a09130_source.html#l00015">15</a> of file <a class="el" href="../../de/d1c/a09130_source.html">bleedingsourcesmanagerbase.c</a>.</p>

</div>
</div>
<a id="a7bf38e152e44abcc93347c4ae7d90adb" name="a7bf38e152e44abcc93347c4ae7d90adb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bf38e152e44abcc93347c4ae7d90adb">&#9670;&#160;</a></span>Expansion_GetBleedingSourceMeta()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">BleedingSourceZone BleedingSourcesManagerBase::Expansion_GetBleedingSourceMeta </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d1c/a09130_source.html#l00020">20</a> of file <a class="el" href="../../de/d1c/a09130_source.html">bleedingsourcesmanagerbase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/bleedingsources/<a class="el" href="../../d3/d88/a09127_source.html">bleedingsourcesmanagerbase.c</a></li>
<li>DayzExpansion/Weapons/Scripts/4_world/dayzexpansion_weapons/classes/bleedingsources/<a class="el" href="../../de/d1c/a09130_source.html">bleedingsourcesmanagerbase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d6e/a04546.html">BleedingSourcesManagerBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
